Prev | Table of Contents | Next

3. The PJS Options Module

One of the PJS installation subtasks requires you to create the PJS Options Module (PJSOPT). PJSOPT is a non‑executable CSECT that defines certain constants used by the PJS system. Use the following format to build the PJSOPT module:

PJSOPT macro specification END

A PJSOPT module is created by the PJSOPT macro. An assembler END statement must be included at the end.

The PJSOPT module should be link‑edited into a load module of the same name and placed into the PJSLINK library. Specify the RENT attribute; it will be assigned the attributes AMODE=31, and RMODE=ANY.

3.1 PJSOPT Macro Format and Operands

The PJSOPT macro has the following format:

PJSOPT PJSQDSN=data‑set‑name [,CMPTIME={7|nnn}] [,DATEFMT={MDY|DMY}] [,DISTIME={30|nnn}] [,ENQNAME={PJSQUEUE|qname}] [,ERRTIME={7|nnn}] [,ETBLSZ={10000|nnnnn}] [,ISPFQSZ={1000|nnnnn}] [,JCLSAVE={NO|OPT|DFLT|REQ}] [,JCLSDSN=data‑set‑name] [,JCLSLIM=({500|nnnnn},{10000|nnnnn})] [,OTBLSZ={1000|nnnnn}] [,PTBLSZ={100|nnnnn}] [,RDRCLS={A|class}] [,RETRY=({12|nnnnn},({5|nnnnn})] [,RRTBLSZ={1000|nnnnn}] [,SCANINT={15|nnn}] [,STBLSZ={100000|nnnnn}] [,TMPBLK={8880|nnnnn}] [,TMPPRIM={10|nnnnn}] [,TMPSEC={10|nnnnn}] [,TMPUNIT=unit] [,TSOAUTH={YES|NO}]

Parameter descriptions follow in displayed order.

PJSQDSN=data-set-name is the data set name of the PJS Request Queue. This parameter is required; there is no default.

CMPTIME=nnn specifies the number of days a job is held in COMPLETED status before it is deleted. A value of 0 indicates no limit. The default is 7 days.

DATEFMT={MDY|DMY}
specifies the format in which PJS is to display dates, and accept dates for input. MDY means dates are displayed and input in the mm/dd/yyyy format (commonly used in the U.S.). DMY means dates are displayed and input in the dd/mm/yyyy format (commonly used in Europe). The default is MDY.

DISTIME=nnn specifies the number of days a job is held in DISABLED status before it is deleted. A value of 0 indicates no limit. The default is 30 days.

ENQNAME=qname specifies the 8-character QNAME that PJS will use when it serializes resources. The default is PJSQUEUE.

ERRTIME=nnn specifies the number of days a job is held in ERROR status before it is deleted. A value of 0 indicates no limit. The default is 7 days.

ETBLSZ=nnnnn specifies the number of entries to allocate for the PJS Request Queue Maintenance Utility Event Table. One entry is required for each Event in the PJS Request Queue. Each entry requires 17 bytes of virtual storage. The default is 10000 entries.

ISPFQSZ=nnnnn specifies the number of entries to allocate for the PJS ISPF Interface List Job Requests Table, List Calendars Table, or List Events Table. One entry is required for each Job Request, Calendar, or Event selected by a list dialog. If this value is exceeded, the list is truncated and a system message is displayed. Each entry requires up to 256 bytes. The default is 1000 entries.

JCLSAVE={NO|OPT|DFLT|REQ}
specifies whether the PJS JCL Save Feature will be enabled. NO means that the PJS JCL Save Feature cannot be used. OPT means that the PJS JCL Save Feature can be used, but the default is NOSAVE. DFLT means that the PJS JCL Save Feature can be used, and the default is SAVE. REQ means that the PJS JCL Save Feature must be used. The default is NO.

JCLSDSN=data-set-name is the data set name of the PJS JCL Spool data set. This parameter is required, unless JCLSAVE=NO is specified or defaulted. There is no default.

JCLSLIM=(nnnnn,nnnnn) specifies the maximum number of JCL records that can be stored in the PJS JCL Spool. The first value is the maximum for a single Job Request. The second value is the maximum for all Job Requests for an Owner. The default is 500 records per Job Request, and 10000 records per Owner.

OTBLSZ=nnnnn specifies the number of entries to allocate for the PJS Request Queue Maintenance Utility Owner Table. One entry is required for each Owner in the PJS Request Queue. Each entry requires 8 bytes of virtual storage. The default is 1000 entries.

PTBLSZ=nnnnn specifies the number of entries to allocate for the PJS System Task Post/Reset Event Table. One entry is required for each Event posted within a PJS Short Request Queue Scan Interval (usually about 1 minute). Each entry requires 24 bytes of virtual storage. The default is 100 entries.

RDRCLS=class specifies the SYSOUT Class to be used when allocating an internal reader. The default is A.

RETRY=(nnnnn,nnnnn) specifies how PJS os to retry a job submission when a temporary error (i.e. JCL data set in use) occurs. The first value is the maximum number of times the submit is to be retried before placing the request in the ERROR status. The second value is the time interval (in minutes) between each retry attempt. RETRY=(0,0) means that no retry is to be attempted. The default is RETRY=(12,5).

RRTBLSZ=nnnnn specifies the number of entries to allocate for the PJS System Task Ready Request Table. One entry is required for each Job Request scheduled within a PJS Long Request Queue Scan Interval, a value set by the SCANINT= keyword discussed below. Each entry requires 32 bytes of virtual storage. The default is 1000 entries.

SCANINT=nnnnn specifies the number of minutes in the PJS Long Request Queue Scan Interval. This interval is the time between Request Queue scans by the PJS System Task. Shorter times minimize the size of the PJS System Task Ready Request Table. Longer times reduce system overhead. In PJS Release 1.0, a small value meant a shorter time delay for new or changed requests with run times only slightly after the add or change time. In PJS Release 2.0, this is no longer an advantage. The default is 15 minutes.

STBLSZ=nnnnn specifies the number of entries to allocate for the PJS Request Queue Maintenance Utility Spool Directory Table. One entry is required for each Job Request for which the JCL is saved in the PJS JCL Spool. Each entry requires 80 bytes of virtual storage. The default is 1000 entries.

TMPBLK=nnnnn specifies the block size to be used when allocating a temporary data set to be used for listing or browsing JCL from the PJS JCL Spool. The default is 8880.

TMPPRIM=nnnnn specifies the number of blocks for the primary space allocation for a temporary data set to be used for listing or browsing JCL from the PJS JCL Spool. The default is 10 blocks.

TMPSEC=nnnnn specifies the number of blocks for the secondary space allocation for a temporary data set to be used for listing or browsing JCL from the PJS JCL Spool. The default is 10 blocks.

TMPUNIT=unit specifies the unit name to be used when allocating a temporary data set to be used for listing or browsing JCL from the PJS JCL Spool. A null value indicates that the user's default TSO allocation unit is to be used. The default is null.

TSOAUTH={YES|NO} specifies whether the PJS ISPF interface is to invoke the PJS ISPF Interface TSO commands from an authorized environment. You may have to specify YES to secure the PJS Request Queue with RACF (or some other security interface) Program Access to Data Set; you may also need to specify the commands in the TSO Authorized Command List. (The PJS TSO Commands are listed in Appendix A). NO means that the PJS ISPF Interface Routine will be invoked from an unauthorized environment; this is a more efficient call. The default is YES.

3.2 PJSOPT Module Example

The following example shows how to use the PJSOPT and PJSAUTH macros to create the PJS Options Module (PJSOPT):

....+....1....+....2....+....3....+....4....+....5....+....6....+....7....+ PJSOPT PJSQDSN=PJS.QUEUE, * EVENTSZ=256, * SCANINT=60 END

The name of the PJS Request Queue is specified as PJS.QUEUE, 256 event table entries are defined, and the scan interval time is set to 60 minutes. Two CPUs are authorized.

Prev | Table of Contents | Next

Copyright © Northrop Grumman, 1990, 2004. All rights reserved.